"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BalanceTransferTiming = exports.MigrationStatus = void 0;
var MigrationStatus;
(function (MigrationStatus) {
    MigrationStatus["MigrationStarted"] = "MigrationStarted";
    MigrationStatus["CollectingAccountsConsent"] = "CollectingAccountsConsent";
    MigrationStatus["MigratingAccounts"] = "MigratingAccounts";
    MigrationStatus["CollectingMoneyMovementConsent"] = "CollectingMoneyMovementConsent";
    MigrationStatus["ExecutingMoneyMovement"] = "ExecutingMoneyMovement";
    MigrationStatus["PendingMigrationDeadline"] = "PendingMigrationDeadline";
    MigrationStatus["PendingMoneyMovementOnDeadline"] = "PendingMoneyMovementOnDeadline";
    MigrationStatus["ClosingAccounts"] = "ClosingAccounts";
    MigrationStatus["Completed"] = "Completed";
    MigrationStatus["Cancelled"] = "Cancelled";
})(MigrationStatus = exports.MigrationStatus || (exports.MigrationStatus = {}));
var BalanceTransferTiming;
(function (BalanceTransferTiming) {
    BalanceTransferTiming["NewAccountCreation"] = "NewAccountCreation";
    BalanceTransferTiming["MigrationDeadline"] = "MigrationDeadline";
})(BalanceTransferTiming = exports.BalanceTransferTiming || (exports.BalanceTransferTiming = {}));
